Create a retrieval rule
curl --request POST \
--url https://api.visiqlabs.com/recall/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"rego_source": "<string>",
"description": "<string>",
"natural_language": "<string>",
"priority": 0,
"enabled": true,
"trust_tier": "<string>",
"surface": "<string>",
"principal_exclusions": [
"<string>"
]
}
'import requests
url = "https://api.visiqlabs.com/recall/rules"
payload = {
"name": "<string>",
"rego_source": "<string>",
"description": "<string>",
"natural_language": "<string>",
"priority": 0,
"enabled": True,
"trust_tier": "<string>",
"surface": "<string>",
"principal_exclusions": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
rego_source: '<string>',
description: '<string>',
natural_language: '<string>',
priority: 0,
enabled: true,
trust_tier: '<string>',
surface: '<string>',
principal_exclusions: ['<string>']
})
};
fetch('https://api.visiqlabs.com/recall/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"rego_source": "<string>",
"natural_language": "<string>",
"priority": 123,
"enabled": true,
"trust_tier": "<string>",
"surface": "<string>",
"principal_exclusions": [
"<string>"
],
"bypass_active": true,
"bypass_reason": "<string>",
"bypass_activated_by": "<string>",
"bypass_activated_at": "2023-11-07T05:31:56Z",
"bypass_expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Invalid request body",
"details": [
{
"path": [
"agent_id"
],
"message": "Required"
}
]
}{
"error": "Unauthorized"
}{
"error": "insufficient_scope",
"detail": "This API key is not authorized for the requested operation."
}Retrieval Rules
Create a retrieval rule
Create a retrieval-governance rule from Rego source. Requires permission recall_rules:create.
POST
/
recall
/
rules
Create a retrieval rule
Authorizations
A VisIQ API key presented as Authorization: Bearer vq_prod_.... Mint keys under Connectors -> API Keys in the dashboard.
Body
application/json
Required string length:
1 - 255Minimum string length:
1Maximum string length:
1000Maximum string length:
2000Maximum string length:
50Maximum string length:
100Required string length:
1 - 255Response
The created rule.
⌘I